GuideLab API

List Whats App Template Event Candidates

List a bounded page of approved, account-bound templates compatible with one automatic WhatsApp event.

GET
/whatsapp-templates/event-overrides/{eventKey}/candidates

List a bounded page of approved, account-bound templates compatible with one automatic WhatsApp event.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

eventKey*string

Value in

  • "order_received_lab"
  • "order_submitted_clinic"

Query Parameters

page?integer
Range1 <= value
Default1
limit?integer
Range1 <= value <= 50
Default20
search?string
Length1 <= length <= 200

Response Body

application/json

curl -X GET "https://example.com/whatsapp-templates/event-overrides/order_received_lab/candidates"
{  "data": [    {      "id": "string",      "displayName": "string",      "language": "st"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty